# class ActiveSupport::Cache::NullStore

A cache store implementation which doesn’t actually store anything. Useful in development and test environments where you don’t want caching turned on but need to go through the caching interface.

This cache does implement the local cache strategy, so values will actually be cached inside blocks that utilize this strategy. See ActiveSupport::Cache::Strategy::LocalCache for more details.

### Public Class Methods

new(options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 11
    def initialize(options = nil)
      super(options)
      extend Strategy::LocalCache
    end

### Public Instance Methods

cleanup(options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 19
    def cleanup(options = nil)
    end

clear(options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 16
    def clear(options = nil)
    end

decrement(name, amount = 1, options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 25
    def decrement(name, amount = 1, options = nil)
    end

delete_matched(matcher, options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 28
    def delete_matched(matcher, options = nil)
    end

increment(name, amount = 1, options = nil) click to toggle source

    # File lib/active_support/cache/null_store.rb, line 22
    def increment(name, amount = 1, options = nil)
    end